org.apache.solr.handler.clustering

## Class DocumentClusteringEngine

- java.lang.Object
- - org.apache.solr.handler.clustering.ClusteringEngine
  - - org.apache.solr.handler.clustering.DocumentClusteringEngine

-     public abstract class DocumentClusteringEngine
      extends ClusteringEngine

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.clustering.ClusteringEngine

      `DEFAULT_ENGINE_NAME, ENGINE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentClusteringEngine()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract NamedList<?>` | `cluster(DocSet docs, SolrParams solrParams)` Experimental.
    `abstract NamedList<?>` | `cluster(SolrParams solrParams)` Experimental.

    - ### Methods inherited from class org.apache.solr.handler.clustering.ClusteringEngine

      `getName, init, isAvailable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentClusteringEngine

          public DocumentClusteringEngine()

  - ### Method Detail

    - #### cluster

          public abstract NamedList<?> cluster(SolrParams solrParams)

      Experimental. Subject to change before the next release Cluster all the documents in the index. Clustering is often an expensive task that can take a long time.
      Parameters:
        `solrParams` - The params controlling clustering
      Returns:
        The clustering results

    - #### cluster

          public abstract NamedList<?> cluster(DocSet docs,
                                               SolrParams solrParams)

      Experimental. Subject to change before the next release Cluster the set of docs. Clustering of documents is often an expensive task that can take a long time.
      Parameters:
        `docs` - The docs to cluster. If null, cluster all docs as in `cluster(org.apache.solr.common.params.SolrParams)`
        `solrParams` - The params controlling the clustering
      Returns:
        The results.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.